
TYPO3.Fluid - Bug # 36500

Status: Resolved Priority: Must have
Author: Nicole Cordes Category:
Created: 2012-04-24 Assigned To:
Updated: 2012-05-15 Due date:
Has patch: No
Affected Flow version: Git master
Subject: Ajax widgets can't be executed
Description

Any ajax widget can't be executed because of the missing function setRoutesConfiguration which is called by
\TYPO3\FLOW3\Http\RequestHandler->handleRequest.

Related issues:
related to TYPO3.Flow - Bug # 36236: Call to method not being backed by an in... Resolved 2012-04-17

Associated revisions
Revision 380d6837 - 2012-05-14 16:24 - Robert Lemke

[BUGFIX] Fix request handling for Ajax widgets

Requests to AJAX widgets were not handled properly
because the routing configuration was not available
to the request handler being in charge for handling
that request.

This patch removes the specialized WidgetRequestHandler
completely and implements the specialized handling of
AJAX widget requests through an aspect which advices
the original Router.

This change set also introduces functional tests which
cover the basic widget request handling executed through
the full request / response stack.

Change-Id: I93da33920f37f1fe38121600f2da890346ffc37f
Resolves: #36500
Resolves: #36236
Releases: 1.1

History
#1 - 2012-04-24 10:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10734

#2 - 2012-04-26 14:19 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10734

#3 - 2012-05-09 14:29 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#4 - 2012-05-09 16:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#5 - 2012-05-14 13:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#6 - 2012-05-14 16:25 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#7 - 2012-05-15 02:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:380d683777152993c1e9b24256781653be961122.
